#! /usr/bin/env python
from os import path, makedirs

# settings = cfg.set()
# settings.load('scrib.cfg', {}, suppress=True)

with open(path.expanduser('~') + '/.scrib/current') as f:
	name = f.read()

# Create the log directory if it doesn't exist
logdir = path.expanduser('~') + '/.scrib'
if not path.exists(logdir):
	makedirs(logdir)


def log(payload):
	"""
	Right now it's a simple `[sate] <name> statement`.
	I would like to eventually capture more data, like state variables.
	State variable suggestions:
		session_id, type (topic, it, that)
		POS (who, what, where, when), bot_state ("emotional" state)
		Bot version
		Any other metadata that shapes bot response.
	Ideally this would be extended to include IP and other information
	based on what sort of application is using scrib.
	"""
	# Currently this has a one-run difference because of depending on /current
	# logfile = '%s%s-%s.log' % (logdir, name, str(date.today()))
	logfile = '%s/scrib.log' % logdir

	f = open(logfile, 'a')
	f.write(payload + '\n')
	f.close()
